# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import _, models

DEFAULT_MONTH_RANGE = 3


class EnercoopCounter(models.Model):
    _inherit = 'enercoop.counter.operation'

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------
    def action_view_courbes(self):
        """
        Action qui ouvre la vue Qweb
        :return: Vue Qweb
        """
        self.ensure_one()
        counter_id = self.env['enercoop.counter'].browse(self.env.context.get('default_counter_id'))
        action = self.env["ir.actions.actions"]._for_xml_id(
            "enercoop_cdc.enercoop_operation_action_client_courbes")
        action['params'] = {
            'operation_ids': self.operation_id.id,
            'enercoop_counter_id': counter_id.id
        }
        action['context'] = {
            'active_id': self.operation_id.id,
            'active_ids': self.operation_id.ids,
            'search_default_name': self.operation_id.name,
            'search_default_enercoop_delivery_operation_ids': counter_id.name,
        }
        return action